package com.craigl;

	import java.util.*;

	public class Randomize  {

		public Randomize() {

			// Get a Date object
			Date date = new Date();

			// Get the number of milliseconds since January 1, 1970
			long seed = date.getTime();

			// Use as seed to the rng
			rng = new Random(seed);
		}

		public boolean randomBoolean() {
			return rng.nextBoolean();
		}

		// Return a random int 0 to N - 1
		public int randomInt0toN(int N) {
			return rng.nextInt(N);
		}

		// Return a random int between N and M where N < M
		public int randomIntNtoM(int N, int M) {

			int diff = M - N;
			return (randomInt0toN(diff) + N);
		}

		// Return float between 0.0 and 1.0
		public float randomFloat() {
			return rng.nextFloat();
		}

		// Return float between N and M where N < M
		public float randomFloatNtoM(float n, float m) {
			
			float diff = m - n;
			float f = randomFloat();
			return ((diff * f) + n);
		}
		
		// Set a new seed into the rng
		public void setSeed(long seed) {
			rng.setSeed(seed);
		}

		// Instance data
		private Random rng;

	}
